petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDualSpaceCreate

Creates an empty PetscDualSpace object. The type can then be set with PetscDualSpaceSetType().

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceCreate(MPI_Comm comm, PetscDualSpace *sp)

Collective

### Input Parameter

comm -The communicator for the PetscDualSpace object

### Output Parameter

sp -The PetscDualSpace object

### See Also

PetscDualSpaceSetType(), PETSCDUALSPACELAGRANGE

### Level

beginner

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceCreate_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceCreate_Refined in src/dm/dt/dualspace/impls/refined/dualspacerefined.c
PetscDualSpaceCreate_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages